package com.caimei365.commodity.controller;

import com.caimei365.commodity.model.ResponseJson;
import com.caimei365.commodity.model.po.CmPraiseStatistics;
import com.caimei365.commodity.service.CmPraiseStatisticsService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 浏览量Controller
 *
 * @author Kaick
 * @date 2023-08-15
 */
@RestController
@RequestMapping("/commodity/statistics")
public class CmPraiseStatisticsController
{
    @Autowired
    private CmPraiseStatisticsService cmPraiseStatisticsService;

    /**
     * 通过对象查询浏览量列表
     */
    @ApiImplicitParams({
            @ApiImplicitParam(required = false, name = "type", value = "分类: 1 (cm_product_archive_content)美业资料"),
            @ApiImplicitParam(required = false, name = "authorId", value = "归属者Id（type字段表Id）")
    })
    @GetMapping("/addPv")
    public ResponseJson addPvCmPraiseStatistics(CmPraiseStatistics cmPraiseStatistics) {
        if (null == cmPraiseStatistics.getType() ||  null==cmPraiseStatistics.getAuthorId()) {
            return ResponseJson.error("参数错误", null);
        }
        cmPraiseStatisticsService.addPvCmPraiseStatistics(new CmPraiseStatistics()
                .setType(cmPraiseStatistics.getType())
                .setAuthorId(cmPraiseStatistics.getAuthorId()));
        return ResponseJson.success();
    }

}
