package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.po.CmDistribution;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 *
 * @author Kaick
 * @date 2023-09-15
 */
@Mapper
public interface CmDistributionMapper
{
    /**
     * 通过对象查询列表
     *
     * @param cmDistribution
     * @return 集合
     */
    public List<CmDistribution> getCmDistributionList(CmDistribution cmDistribution);

    /**
     * 通过Id查询对象
     *
     * @param id 主键
     * @return
     */
    public CmDistribution getCmDistributionById(String id);

    /**
     * 通过对象查询对象
     *
     * @param cmDistribution
     * @return
     */
    public CmDistribution getByCmDistribution(CmDistribution cmDistribution);

    /**
     * 通过对象查询Id
     *
     * @param cmDistribution
     * @return String
     */
    public String getById(CmDistribution cmDistribution);

    /**
     * 通过对象查询Ids
     *
     * @param cmDistribution
     * @return List<String>
     */
    public List<String> getByIds(CmDistribution cmDistribution);

    /**
     * 通过对象查询记录总数
     *
     * @param cmDistribution
     * @return Integer
     */
    public int getCmDistributionCount(CmDistribution cmDistribution);

    /**
     * 新增
     *
     * @param cmDistribution
     * @return 结果
     */
    public int addCmDistribution(CmDistribution cmDistribution);

    /**
     * 修改
     *
     * @param cmDistribution
     * @return 结果
     */
    public int updateCmDistribution(CmDistribution cmDistribution);

    /**
     * 删除
     *
     * @param id 主键
     * @return 结果
     */
    public int delCmDistributionById(String id);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int delCmDistribution(CmDistribution cmDistribution);

    /**
     * 批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int delCmDistributionByIds(@Param("ids") String[] ids);

    /**
     * 修改批量删除
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateDelCmDistributionByIds(@Param("ids") String[] ids,@Param("delFlag") Integer delFlag);
}
