package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.po.CmDistributionSku;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 *
 * @author Kaick
 * @date 2023-09-18
 */
@Mapper
public interface CmDistributionSkuMapper
{
    /**
     * 通过对象查询列表
     *
     * @param cmDistributionSku
     * @return 集合
     */
    public List<CmDistributionSku> getCmDistributionSkuList(CmDistributionSku cmDistributionSku);

    /**
     * 通过Id查询对象
     *
     * @param skuId 主键
     * @return
     */
    public CmDistributionSku getCmDistributionSkuBySkuId(String skuId);

    /**
     * 通过对象查询对象
     *
     * @param cmDistributionSku
     * @return
     */
    public CmDistributionSku getByCmDistributionSku(CmDistributionSku cmDistributionSku);

    /**
     * 通过对象查询Id
     *
     * @param cmDistributionSku
     * @return String
     */
    public String getById(CmDistributionSku cmDistributionSku);

    /**
     * 通过对象查询Ids
     *
     * @param cmDistributionSku
     * @return List<String>
     */
    public List<String> getByIds(CmDistributionSku cmDistributionSku);

    /**
     * 通过对象查询记录总数
     *
     * @param cmDistributionSku
     * @return Integer
     */
    public int getCmDistributionSkuCount(CmDistributionSku cmDistributionSku);

    /**
     * 新增
     *
     * @param cmDistributionSku
     * @return 结果
     */
    public int addCmDistributionSku(CmDistributionSku cmDistributionSku);



    /**
     * 修改
     *
     * @param cmDistributionSku
     * @return 结果
     */
    public int updateCmDistributionSku(CmDistributionSku cmDistributionSku);

    /**
     * 删除
     *
     * @param skuId 主键
     * @return 结果
     */
    public int delCmDistributionSkuBySkuId(String skuId);

    /**
     * 批量删除
     *
     * @param skuIds 需要删除的数据主键集合
     * @return 结果
     */
    public int delCmDistributionSku(CmDistributionSku cmDistributionSku);

    /**
     * 批量删除
     *
     * @param skuIds 需要删除的数据主键集合
     * @return 结果
     */
    public int delCmDistributionSkuBySkuIds(@Param("skuIds") String[] skuIds);

}
