package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.po.KeyPo;
import com.caimei365.commodity.model.vo.CmProductArchiveVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 商品资料内容Mapper接口
 *
 * @author Kaick
 * @date 2023-12-25
 */
@Mapper
public interface CmProductArchiveContentMapper {
    /**
     * 通过对象查询商品资料内容列表
     *
     * @return 商品资料内容集合
     */
    List<CmProductArchiveVO> getCmProductArchiveContentList(CmProductArchiveVO cmProductArchiveVO);

    List<CmProductArchiveVO> getCmProductArchiveInfoList(Integer pageNum,String title,String labelIds);

    List<CmProductArchiveVO> getCmProductArchiveBaikeList(Integer pageNum,String title,String labelIds);
    /**
     * 通过对象查询商品资料内容列表
     *
     * @return 商品资料内容集合
     */
    List<String> getProductArchiveFileList(String id);


    /**
     * 通过对象查询商品资料内容对象
     *
     * @return 商品资料内容
     */
    CmProductArchiveVO getByCmProductArchiveContent(CmProductArchiveVO cmProductArchiveContent);


    /**
     * 新增商品资料内容
     *
     * @return 结果
     */
    int addCmProductArchiveContent(CmProductArchiveVO cmProductArchiveContent);

    /**
     * 修改商品资料内容
     *
     * @return 结果
     */
    int updateCmProductArchiveContent(CmProductArchiveVO cmProductArchiveContent);

    /**
     * 删除商品资料内容
     *
     * @return 结果
     */
    int delCmProductArchiveContentById(String id);
    /**
     * 关键词下拉选择项
     */
    List<KeyPo> findKeyWordList(String v);
    /**
     * 已上线商品列表
     */
    List<CmProductArchiveVO> findProductList(CmProductArchiveVO cmProductArchiveVO);
}
