package com.caimei365.commodity.mapper;

import com.caimei365.commodity.model.dto.Sku;
import com.caimei365.commodity.model.vo.ProductDetailVo;
import com.caimei365.commodity.model.vo.ProductShoplVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/28
 */
@Mapper
public interface ShopOrderMapper {
    /**
     * 供应商商品集合
     * @param shopId
     * @return
     */
    List<ProductShoplVo> getShopProductList(@Param("shopId") Integer shopId, @Param("name") String name);

    /**
     * 商品对应上架商城的 sku
     * @param productId
     * @param organizeIdList
     * @return
     */
    List<Sku> getSkuList(@Param("productId") Integer productId, @Param("organizeIdList") List<String> organizeIdList);
}
