package com.caimei365.commodity.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 对象 cm_distribution_product
 *
 * @author Kaick
 * @date 2023-09-18
 */
@Accessors(fluent  = true )
@Data
@Alias("CmDistributionProduct")
public class CmDistributionProduct  implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 对应采美商品id */
    private Integer productId;

    /** 上架状态:1上架,2下架 */
    private String validFlag;

    /** 是否含税 0不含税，1含税 */
    private String includedTax;

    /** 发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票 */
    private String invoiceType;

    /** 机构税率 :增值税默认13%，普通票6%取值范围[0-100] */
    private BigDecimal clubTaxPoint;

    /** 供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100] */
    private BigDecimal shopTaxPoint;

    /** 报备佣金 */
    private BigDecimal commission;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addTime;



    /** 团队Id */
    private Integer distributionId;

    /** 商品名称 */
    private String name;
    /** 供应商Id */
    private String shopID;
    /** 供应商名称 */
    private String shopName;
    /** mainImage */
    private String mainImage;



    /** skuId */
    private String skuId;
    /** 机构价格（同为二手商品的交易价） */
    private BigDecimal price;

    /** skus */
    private List<CmDistributionSku> skus;

    public Integer getDistributionId() {
        return distributionId;
    }

    public void setDistributionId(Integer distributionId) {
        this.distributionId = distributionId;
    }

    public List<CmDistributionSku> getSkus() {
        return skus;
    }

    public void setSkus(List<CmDistributionSku> skus) {
        this.skus = skus;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShopID() {
        return shopID;
    }

    public void setShopID(String shopID) {
        this.shopID = shopID;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getMainImage() {
        return mainImage;
    }

    public void setMainImage(String mainImage) {
        this.mainImage = mainImage;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getIncludedTax() {
        return includedTax;
    }

    public void setIncludedTax(String includedTax) {
        this.includedTax = includedTax;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public BigDecimal getClubTaxPoint() {
        return clubTaxPoint;
    }

    public void setClubTaxPoint(BigDecimal clubTaxPoint) {
        this.clubTaxPoint = clubTaxPoint;
    }

    public BigDecimal getShopTaxPoint() {
        return shopTaxPoint;
    }

    public void setShopTaxPoint(BigDecimal shopTaxPoint) {
        this.shopTaxPoint = shopTaxPoint;
    }

    public BigDecimal getCommission() {
        return commission;
    }

    public void setCommission(BigDecimal commission) {
        this.commission = commission;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }
}
