package com.caimei365.commodity.model.po;

import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 对象 cm_distribution_sku
 *
 * @author Kaick
 * @date 2023-09-18
 */
@Accessors(fluent  = true )
@Data
@Alias("CmDistributionSku")
public class CmDistributionSku  implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** skuId */
    private String skuId;

    /** 商品Id */
    private Integer productId;

    /** 机构价格（同为二手商品的交易价） */
    private BigDecimal price;

    /** 分账供应商成本比例 */
    private Integer shopPercent;

    /** 分账组织佣金比例 */
    private Integer organizePercent;

    /** 分账采美佣金比例 */
    private Integer cmPercent;

    /** 成本类型：1固定成本 2比例成本 */
    private String costCheckFlag;
    /** 规格 */
    private String unit;

    /** 成本价 */
    private BigDecimal costPrice;
    /** 采美成本 */
    private BigDecimal cmCostPrice;
    /** 集团成本 */
    private BigDecimal organizeCostPrice;

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }

    public BigDecimal getCmCostPrice() {
        return cmCostPrice;
    }

    public void setCmCostPrice(BigDecimal cmCostPrice) {
        this.cmCostPrice = cmCostPrice;
    }

    public BigDecimal getOrganizeCostPrice() {
        return organizeCostPrice;
    }

    public void setOrganizeCostPrice(BigDecimal organizeCostPrice) {
        this.organizeCostPrice = organizeCostPrice;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getShopPercent() {
        return shopPercent;
    }

    public void setShopPercent(Integer shopPercent) {
        this.shopPercent = shopPercent;
    }

    public Integer getOrganizePercent() {
        return organizePercent;
    }

    public void setOrganizePercent(Integer organizePercent) {
        this.organizePercent = organizePercent;
    }

    public Integer getCmPercent() {
        return cmPercent;
    }

    public void setCmPercent(Integer cmPercent) {
        this.cmPercent = cmPercent;
    }

    public String getCostCheckFlag() {
        return costCheckFlag;
    }

    public void setCostCheckFlag(String costCheckFlag) {
        this.costCheckFlag = costCheckFlag;
    }
}
