package com.caimei365.commodity.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.util.Date;

/**
 * 相关图片对象 cm_related_image
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Accessors(fluent  = true )
@Data
@Alias("CmRelatedImage")
public class CmRelatedImage implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 分类：1分销报备凭证图片(cm_reporting_member) */
    private String type;

    /** 归属者Id（type字段表Id） */
    private String authorId;

    /** 图片 */
    private String image;

    /** 删除状态 0正常，其他删除 */
    private Integer delFlag;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAuthorId() {
        return authorId;
    }

    public void setAuthorId(String authorId) {
        this.authorId = authorId;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}

