package com.caimei365.commodity.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 机构报备对象 cm_reporting_club
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Accessors(fluent  = true )
@Data
@Alias("CmReportingClub")
public class CmReportingClub implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 机构名称 */
    private String clubName;

    /** 联系人 */
    private String linkMan;

    /** 手机号 */
    private String mobile;

    /** 商品id */
    private Integer productId;

    /** 商品名称 */
    private String productName;

    /** 商品图片 */
    private String productImage;

    /** 备注 */
    private String remarks;
    /** 订单id */
    private Integer orderId;
    /** 订单状态 ：1已成交，0未成交 */
    private Integer orderStatus;

    /** 锁定状态 ：1锁定，0未锁定 */
    private Integer lockStatus;

    /** 锁定时间 */
    private Date lockTime;

    /** 分销报备人数量 */
    private Integer distributionCount;

    /** 分销报备锁定人id */
    private Integer distributionId;

    /** 分销报备锁定人id */
    private String distributionName;

    /** 删除状态 0正常，其他删除 */
    private String delFlag;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 商品总佣金 */
    private BigDecimal commission;

    /** 结算状态: 1已完结 ，0未完结 */
    private Integer settleStatus;

    /** 结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date settleTime;

    /** 分账结算状态: 0待确认 1待手动分账 ，2待手动结算，3已结算 */
    private Integer splitSettleStatus;

    /** 分账结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date splitSettleTime;

    /** 子订单编号 */
    private String shopOrderNo;

    /** 下单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;

    /** 报备成员 */
    private CmReportingMember cmReportingMember;

    /** 商品详情 */
    private CmDistributionProduct distributionProduct;

    public CmDistributionProduct getDistributionProduct() {
        return distributionProduct;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public Integer getSplitSettleStatus() {
        return splitSettleStatus;
    }

    public void setSplitSettleStatus(Integer splitSettleStatus) {
        this.splitSettleStatus = splitSettleStatus;
    }

    public Date getSplitSettleTime() {
        return splitSettleTime;
    }

    public void setSplitSettleTime(Date splitSettleTime) {
        this.splitSettleTime = splitSettleTime;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public void setDistributionProduct(CmDistributionProduct distributionProduct) {
        this.distributionProduct = distributionProduct;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getCommission() {
        return commission;
    }

    public void setCommission(BigDecimal commission) {
        this.commission = commission;
    }

    public Integer getSettleStatus() {
        return settleStatus;
    }

    public void setSettleStatus(Integer settleStatus) {
        this.settleStatus = settleStatus;
    }

    public Date getSettleTime() {
        return settleTime;
    }

    public void setSettleTime(Date settleTime) {
        this.settleTime = settleTime;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductImage() {
        return productImage;
    }

    public void setProductImage(String productImage) {
        this.productImage = productImage;
    }

    public Date getLockTime() {
        return lockTime;
    }

    public void setLockTime(Date lockTime) {
        this.lockTime = lockTime;
    }

    public Integer getDistributionCount() {
        return distributionCount;
    }

    public void setDistributionCount(Integer distributionCount) {
        this.distributionCount = distributionCount;
    }

    public String getDistributionName() {
        return distributionName;
    }

    public void setDistributionName(String distributionName) {
        this.distributionName = distributionName;
    }

    public CmReportingMember getCmReportingMember() {
        return cmReportingMember;
    }

    public void setCmReportingMember(CmReportingMember cmReportingMember) {
        this.cmReportingMember = cmReportingMember;
    }



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClubName() {
        return clubName;
    }

    public void setClubName(String clubName) {
        this.clubName = clubName;
    }

    public String getLinkMan() {
        return linkMan;
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getLockStatus() {
        return lockStatus;
    }

    public void setLockStatus(Integer lockStatus) {
        this.lockStatus = lockStatus;
    }

    public Integer getDistributionId() {
        return distributionId;
    }

    public void setDistributionId(Integer distributionId) {
        this.distributionId = distributionId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}

