package com.caimei365.commodity.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 分销报备成员对象 cm_reporting_member
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Accessors(fluent  = true )
@Data
@Alias("CmReportingMember")
public class CmReportingMember implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 分销报备人id */
    private Integer distributionId;

    /** 报备机构id */
    private Integer clubReportingId;

    /** 审核人用户id */
    private Integer auditBy;

    /** 审核人用户名称 */
    private Integer auditName;

    /** 审核状态：1待审核，2审核通过，3审核失败 */
    private String auditStatus;

    /** 审核备注 */
    private String auditText;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    /**备注 */
    private String remarks;

    /** 删除状态 0正常，其他删除 */
    private String delFlag;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    /** 商品佣金 */
    private BigDecimal commission;

    /** 分账佣金 */
    private BigDecimal splitCommission;

    /** 结算状态: 1已完结 ，0未完结 */
    private Integer settleStatus;

    /** 结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date settleTime;
    /** 报备人详情 */
    private CmDistribution cmDistribution;
    /** 报备机构详情 */
    private CmReportingClub cmReportingClub;
    /** 凭证图片集合 */
    private List<CmRelatedImage> cmRelatedImageList;

    public BigDecimal getSplitCommission() {
        return splitCommission;
    }

    public void setSplitCommission(BigDecimal splitCommission) {
        this.splitCommission = splitCommission;
    }

    public CmReportingClub getCmReportingClub() {
        return cmReportingClub;
    }

    public void setCmReportingClub(CmReportingClub cmReportingClub) {
        this.cmReportingClub = cmReportingClub;
    }

    public String getRemarks() {
        return remarks;
    }
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public BigDecimal getCommission() {
        return commission;
    }

    public void setCommission(BigDecimal commission) {
        this.commission = commission;
    }

    public Integer getSettleStatus() {
        return settleStatus;
    }

    public void setSettleStatus(Integer settleStatus) {
        this.settleStatus = settleStatus;
    }

    public Date getSettleTime() {
        return settleTime;
    }

    public void setSettleTime(Date settleTime) {
        this.settleTime = settleTime;
    }

    public Integer getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(Integer auditBy) {
        this.auditBy = auditBy;
    }

    public Integer getAuditName() {
        return auditName;
    }

    public void setAuditName(Integer auditName) {
        this.auditName = auditName;
    }

    public CmDistribution getCmDistribution() {
        return cmDistribution;
    }

    public void setCmDistribution(CmDistribution cmDistribution) {
        this.cmDistribution = cmDistribution;
    }

    public List<CmRelatedImage> getCmRelatedImageList() {
        return cmRelatedImageList;
    }

    public void setCmRelatedImageList(List<CmRelatedImage> cmRelatedImageList) {
        this.cmRelatedImageList = cmRelatedImageList;
    }
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getDistributionId() {
        return distributionId;
    }

    public void setDistributionId(Integer distributionId) {
        this.distributionId = distributionId;
    }

    public Integer getClubReportingId() {
        return clubReportingId;
    }

    public void setClubReportingId(Integer clubReportingId) {
        this.clubReportingId = clubReportingId;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditText() {
        return auditText;
    }

    public void setAuditText(String auditText) {
        this.auditText = auditText;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}

