package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.CmDistributionProduct;
import lombok.Data;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 对象 cm_distribution_product
 *
 * @author Kaick
 * @date 2023-09-18
 */
@Data
@Alias("CmDistributionProductVO")
public class CmDistributionProductVO  implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 对应采美商品id */
    private Integer productId;

    /** 商品名称 */
    private String name;
    /** 供应商Id */
    private String shopID;
    /** 供应商名称 */
    private String shopName;
    /** mainImage */
    private String mainImage;
    /** skuId */
    private String skuId;
    /** 机构价格（同为二手商品的交易价） */
    private BigDecimal price;

    /** 上架状态:1上架,2下架 */
    private String validFlag;

    public static List<CmDistributionProductVO> setValues(List<CmDistributionProduct> cmDistributionProductList) {
        List<CmDistributionProductVO> cmDistributionProductVOList = new ArrayList<>();
        if(null!=cmDistributionProductList) {
            cmDistributionProductList.forEach(cmDistributionProduct -> {
                cmDistributionProductVOList.add(setValue(cmDistributionProduct));
            });
        }
        return cmDistributionProductVOList;
    }

    public static CmDistributionProductVO setValue(CmDistributionProduct cmDistributionProduct) {

        CmDistributionProductVO cmDistributionProductVO = new CmDistributionProductVO();
        if(null!=cmDistributionProduct) {
            cmDistributionProductVO.setId(cmDistributionProduct.getId());
            cmDistributionProductVO.setProductId(cmDistributionProduct.getProductId());
            cmDistributionProductVO.setName(cmDistributionProduct.getName());
            cmDistributionProductVO.setMainImage(cmDistributionProduct.getMainImage());
            cmDistributionProductVO.setShopID(cmDistributionProduct.getShopID());
            cmDistributionProductVO.setShopName(cmDistributionProduct.getShopName());
            cmDistributionProductVO.setSkuId(cmDistributionProduct.getSkuId());
            cmDistributionProductVO.setPrice(cmDistributionProduct.getPrice());
            cmDistributionProductVO.setValidFlag(cmDistributionProduct.getValidFlag());
        }
        return cmDistributionProductVO;
    }
}
