package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.CmDistribution;
import lombok.Data;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * distribution对象 cm_distribution
 *
 * @author Kaick
 * @date 2023-09-25
 */
@Data
@Alias("CmDistributionVO")
public class CmDistributionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 名称
     */
    private String name;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 状态：90上线，91下线
     */
    private Integer status;

    /**
     * 分销二维码
     */
    private String qrCode;

    /**
     * 头像
     */
    private String image;

    /**
     * 父级团队Id：0表示团队
     */
    private Integer parentId;

    /**
     * 订单数量
     */
    private Integer orderCount;

    /**
     * 佣金
     */
    private BigDecimal commission;


    public static List<CmDistributionVO> setValues(List<CmDistribution> cmDistributionList) {
        List<CmDistributionVO> cmDistributionVOList = new ArrayList<>();
        if(null!=cmDistributionList) {
            cmDistributionList.forEach(cmDistribution -> {
                cmDistributionVOList.add(setValue(cmDistribution));
            });
        }
        return cmDistributionVOList;
    }

    public static CmDistributionVO setValue(CmDistribution cmDistribution) {
            CmDistributionVO cmDistributionVO = new CmDistributionVO();
            if(null!=cmDistribution) {
                cmDistributionVO.setId(cmDistribution.getId());
                cmDistributionVO.setUserId(cmDistribution.getUserId());
                cmDistributionVO.setName(cmDistribution.getName());
                cmDistributionVO.setLinkMan(cmDistribution.getLinkMan());
                cmDistributionVO.setMobile(cmDistribution.getMobile());
                cmDistributionVO.setStatus(cmDistribution.getStatus());
                cmDistributionVO.setQrCode(cmDistribution.getQrCode());
                cmDistributionVO.setImage(cmDistribution.getImage());
                cmDistributionVO.setParentId(cmDistribution.getParentId());
            }
        return cmDistributionVO;
    }
}
