package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.CmRelatedImage;
import lombok.Data;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 相关图片对象 cm_related_image
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Data
@Alias("CmRelatedImageVO")
public class CmRelatedImageVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 分类：1分销报备凭证图片(cm_reporting_member)
     */
    private String type;

    /**
     * 归属者Id（type字段表Id）
     */
    private String authorId;
    /**
     * 图片
     */
    private String image;

    public static List<CmRelatedImageVO> setValues(List<CmRelatedImage> cmRelatedImageList) {
        List<CmRelatedImageVO> cmRelatedImageVOList = new ArrayList<>();
        if(null!=cmRelatedImageList) {
            cmRelatedImageList.forEach(cmRelatedImage -> {
                cmRelatedImageVOList.add(setValue(cmRelatedImage));
            });
        }
        return cmRelatedImageVOList;
    }

    public static CmRelatedImageVO setValue(CmRelatedImage cmRelatedImage) {
        CmRelatedImageVO cmRelatedImageVO = new CmRelatedImageVO();
        if (null != cmRelatedImage) {
            cmRelatedImageVO.setId(cmRelatedImage.getId());
            cmRelatedImageVO.setType(cmRelatedImage.getType());
            cmRelatedImageVO.setAuthorId(cmRelatedImage.getAuthorId());
            cmRelatedImageVO.setImage(cmRelatedImage.getImage());
        }
        return cmRelatedImageVO;
    }
}

