package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.CmReportingClub;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 机构报备对象 cm_reporting_club
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Data
@Alias("CmReportingClubVO")
public class CmReportingClubVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 机构名称
     */
    private String clubName;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 商品id
     */
    private Integer productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * 备注
     */
    private String remarks;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 订单状态 ：1已成交，0未成交
     */
    private Integer orderStatus;

    /**
     * 锁定状态 ：1锁定，0未锁定
     */
    private Integer lockStatus;


    /**
     * 分销报备人数量
     */
    private Integer distributionCount;

    /**
     * 分销报备锁定人id
     */
    private Integer distributionId;

    /**
     * 分销报备锁定人id
     */
    private String distributionName;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 商品总佣金
     */
    private BigDecimal commission;

    /**
     * 结算状态: 1已完结 ，0未完结
     */
    private Integer settleStatus;

    /** 子订单编号 */
    private String shopOrderNo;


    /** 分账结算状态: 0待确认 1待手动分账 ，2待手动结算，3已结算 */
    private Integer splitSettleStatus;

    /** 分账结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date splitSettleTime;
    /** 下单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;
    /**
     * 报备成员
     */
    private CmDistributionProductVO distributionProduct;


    public static List<CmReportingClubVO> setValues(List<CmReportingClub> cmReportingClubList) {
        List<CmReportingClubVO> cmReportingClubVOList = new ArrayList<>();
        if (null != cmReportingClubList) {
            cmReportingClubList.forEach(cmReportingMember -> {
                cmReportingClubVOList.add(setValue(cmReportingMember));
            });
        }
        return cmReportingClubVOList;
    }

    public static CmReportingClubVO setValue(CmReportingClub cmReportingClub) {
        CmReportingClubVO cmReportingClubVO = new CmReportingClubVO();
        if (null != cmReportingClub) {
            cmReportingClubVO.setId(cmReportingClub.getId());
            cmReportingClubVO.setClubName(cmReportingClub.getClubName());
            cmReportingClubVO.setLinkMan(cmReportingClub.getLinkMan());
            cmReportingClubVO.setMobile(cmReportingClub.getMobile());
            cmReportingClubVO.setProductId(cmReportingClub.getProductId());
            cmReportingClubVO.setProductName(cmReportingClub.getProductName());
            cmReportingClubVO.setProductImage(cmReportingClub.getProductImage());
            cmReportingClubVO.setRemarks(cmReportingClub.getRemarks());
            cmReportingClubVO.setOrderId(cmReportingClub.getOrderId());
            cmReportingClubVO.setOrderStatus(cmReportingClub.getOrderStatus());
            cmReportingClubVO.setLockStatus(cmReportingClub.getLockStatus());
            cmReportingClubVO.setDistributionCount(cmReportingClub.getDistributionCount());
            cmReportingClubVO.setDistributionId(cmReportingClub.getDistributionId());
            cmReportingClubVO.setDistributionName(cmReportingClub.getDistributionName());
            cmReportingClubVO.setCreateTime(cmReportingClub.getCreateTime());
            cmReportingClubVO.setCommission(cmReportingClub.getCommission());
            cmReportingClubVO.setSettleStatus(cmReportingClub.getSettleStatus());
            cmReportingClubVO.setShopOrderNo(cmReportingClub.getShopOrderNo());
            cmReportingClubVO.setSplitSettleStatus(cmReportingClub.getSplitSettleStatus());
            cmReportingClubVO.setSplitSettleTime(cmReportingClub.getSplitSettleTime());
            cmReportingClubVO.setOrderTime(cmReportingClub.getOrderTime());
            cmReportingClubVO.setDistributionProduct(CmDistributionProductVO.setValue(cmReportingClub.getDistributionProduct()));
        }
        return cmReportingClubVO;
    }

}
