package com.caimei365.commodity.model.vo;

import com.caimei365.commodity.model.po.CmReportingMember;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.ibatis.type.Alias;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 分销报备成员对象 cm_reporting_member
 *
 * @author Kaick
 * @date 2023-09-20
 */
@Data
@Alias("CmReportingMemberVO")
public class CmReportingMemberVO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 分销报备人id */
    private Integer distributionId;

    /** 报备机构id */
    private Integer clubReportingId;

    /** 审核状态：1待审核，2审核通过，3审核失败 */
    private String auditStatus;

    /** 审核备注 */
    private String auditText;
    /**备注 */
    private String remarks;
    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 商品佣金 */
    private BigDecimal commission;
    /** 分账佣金 */
    private BigDecimal splitCommission;
    /** 结算状态: 1待确认，2待结算，3已结算 */
    private Integer settleStatus;

    /** 结算时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date settleTime;
    /** 报备机构详情 */
    private CmReportingClubVO cmReportingClub;
    /** 凭证图片集合 */
    private List<CmRelatedImageVO> cmRelatedImageList;

    public static List<CmReportingMemberVO> setValues(List<CmReportingMember> cmReportingMemberList) {
        List<CmReportingMemberVO> cmDistributionVOList = new ArrayList<>();
        if(null!=cmReportingMemberList) {
            cmReportingMemberList.forEach(cmReportingMember -> {
                cmDistributionVOList.add(setValue(cmReportingMember));
            });
        }
        return cmDistributionVOList;
    }

    public static CmReportingMemberVO setValue(CmReportingMember cmReportingMember) {

        CmReportingMemberVO cmReportingMemberVO = new CmReportingMemberVO();
        if(null!=cmReportingMember) {
            cmReportingMemberVO.setId(cmReportingMember.getId());
            cmReportingMemberVO.setDistributionId(cmReportingMember.getDistributionId());
            cmReportingMemberVO.setClubReportingId(cmReportingMember.getClubReportingId());
            cmReportingMemberVO.setAuditStatus(cmReportingMember.getAuditStatus());
            cmReportingMemberVO.setAuditText(cmReportingMember.getAuditText());
            cmReportingMemberVO.setRemarks(cmReportingMember.getRemarks());
            cmReportingMemberVO.setCreateTime(cmReportingMember.getCreateTime());
            cmReportingMemberVO.setCommission(cmReportingMember.getCommission());
            cmReportingMemberVO.setSplitCommission(cmReportingMember.getSplitCommission());
            cmReportingMemberVO.setSettleStatus(cmReportingMember.getSettleStatus());
            cmReportingMemberVO.setSettleTime(cmReportingMember.getSettleTime());
            cmReportingMemberVO.setCmReportingClub(CmReportingClubVO.setValue(cmReportingMember.getCmReportingClub()));
            cmReportingMemberVO.setCmRelatedImageList(CmRelatedImageVO.setValues(cmReportingMember.getCmRelatedImageList()));
        }
        return cmReportingMemberVO;
    }
}

